Trigger download
curl --request GET \
--url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/download \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/download"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "arn:aws:ecs:us-east-1:581362835603:task/hg-hotglue-qa/982f4a997c1b48ba99f98e666bcddb75"
}{}Jobs
Trigger download
Jobs Download
GET
/
{env_id}
/
{flow_id}
/
{tenant}
/
jobs
/
download
Trigger download
Authorizations
Path Parameters
ID of environment
ID of flow
ID of tenant
Query Parameters
ID of job
Job root path (listed as s3_root in job details)
Comma separated list of what to include in download can include: details,sync,etl,snapshot
Response
200
Example:
"arn:aws:ecs:us-east-1:581362835603:task/hg-hotglue-qa/982f4a997c1b48ba99f98e666bcddb75"
⌘I